/*
 * Class ARRAY [REAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2141 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2141 [] = {0xFF01,1551,2140,857,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2141 [] = {0xFF01,2140,857,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2141 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2141 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2141 [] = {0xFF01,2140,857,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2141 [] = {0xFF01,2140,857,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2141 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2141 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2141 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2141 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2141 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2141 [] = {2140,857,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2141 [] = {0xFF01,2140,857,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2141 [] = {0xFF01,2141,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2141 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2141 [] = {0xFF01,2136,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2141 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2141 [] = {0xFF01,2135,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2141 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2141 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2141 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2141 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2141 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_24_2141 [] = {0xFF01,2163,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_2141 [] = {0xFF01,2135,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_2141 [] = {0xFF01,2140,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_2141 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_2141 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_2141 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_2141 [] = {0xFF01,580,0xFFFF};


static const struct desc_info desc_2141[] = {
	{EIF_GENERIC(NULL), 11972, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2141), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2141), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11929, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2141), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11967, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2141), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2141), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2141), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2141), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2141), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2141), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2141), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2141), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2141), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2141), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2141), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11922, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9229, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8669, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8670, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8671, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8672, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2141), 11966, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2141), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9472, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9473, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9468, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9470, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11957, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11961, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11935, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11936, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9051, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9072, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11970, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9052, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11969, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9053, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11950, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2141), 11023, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2141), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2141), 10527, 0},
	{EIF_GENERIC(NULL), 10520, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10521, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_2141), 11919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2141), 11920, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11934, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10526, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2141), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11913, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11914, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11915, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11916, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11917, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11918, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2141), 11921, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11923, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11924, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11930, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11931, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11933, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11938, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11940, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11941, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11942, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11943, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11944, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11945, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11946, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11947, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11948, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11949, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11951, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11952, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11953, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11954, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11955, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11956, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11958, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11959, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11960, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11962, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2141), 11963, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_2141), 11964, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_2141), 11965, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_2141), 11968, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11971, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_2141), 11919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_2141), 11920, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11934, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11939, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11939, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_2141), 11919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_2141), 11928, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11925, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11926, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11937, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 11927, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 11932, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2141(void)
{
	IDSC(desc_2141, 0, 2140);
	IDSC(desc_2141 + 1, 1, 2140);
	IDSC(desc_2141 + 32, 1134, 2140);
	IDSC(desc_2141 + 41, 586, 2140);
	IDSC(desc_2141 + 47, 1135, 2140);
	IDSC(desc_2141 + 56, 1088, 2140);
	IDSC(desc_2141 + 58, 1422, 2140);
	IDSC(desc_2141 + 67, 4, 2140);
	IDSC(desc_2141 + 105, 916, 2140);
	IDSC(desc_2141 + 111, 1570, 2140);
	IDSC(desc_2141 + 114, 554, 2140);
	IDSC(desc_2141 + 115, 1395, 2140);
	IDSC(desc_2141 + 117, 778, 2140);
	IDSC(desc_2141 + 118, 878, 2140);
	IDSC(desc_2141 + 119, 794, 2140);
}


#ifdef __cplusplus
}
#endif
